POST
/data_syncer/connection/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "syncer-connection-022015573333", "sync_mode": "incremental_append", "schedule": { "schedule_type": "basic", "basic_schedule": 6 }, "source_id": 222, "destination_id": 147}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "syncer-connection-022015573333", "sync_mode": "incremental_append", "schedule": { "schedule_type": "basic", "basic_schedule": 6, }, "source_id": 222, "destination_id": 147, },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "syncer-connection-022015573333", "sync_mode": "incremental_append", "schedule": { "schedule_type": "basic", "basic_schedule": 6 }, "source_id": 222, "destination_id": 147 }),});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
Example
syncer-connection-022015573333sync_mode
string
Example
incremental_appendschedule
object
schedule_type
string
Example
basicbasic_schedule
Schedule interval in hours
integer
Example
6source_id
ID of the source data
integer
Example
222destination_id
ID of the destination data
integer
Example
147Responses
Section titled “Responses”default
Section titled “default”Response